%global srcname javaobj
%global sum     Python module for serializing and deserializing Java objects

%global date    20150606
%global commit  64a6e0f26ebf02c9867517c4dba3a6e7d57fd194
%global scommit %(c=%{commit}; echo ${c:0:7})

%global readme  README.rst

Name:           python-%{srcname}
Version:        0
Release:        0.8.%{date}git%{scommit}%{?dist}
Summary:        Python module for serializing and deserializing Java objects
License:        ASL 2.0
URL:            https://github.com/tcalmant/%{name}
Source0:        %{url}/archive/%{scommit}/%{name}-%{scommit}.tar.gz 

BuildArch:      noarch
# FIXME python3 support
BuildRequires:  python2-devel python3-devel

# deps for tests
BuildRequires:  maven-local
BuildRequires:  xorg-x11-server-Xvfb

%description
%{name} is a python library that provides functions for reading
(and writing as WIP) of Java objects serialized or will be deserialized by
ObjectOutputStream. This form of object representation is a standard data
interchange format in Java.

%{srcname} module exposes an API familiar to users of the standard
library marshal, pickle and json modules.

Features
    Java object instance unmarshaling
    Java class itself unmarshaling
    Primitive values unmarshaling
    Automatic conversion of Java Collections to python ones 
    (HashMap => dict, ArrayList => list, etc) 

See also the PyPi module at: https://pypi.python.org/pypi/%{srcname}

This project was forked somehow at GitHub. Fedora distributes those sources.
See the %{readme} file for details.


%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{name} is a python library that provides functions for reading
(and writing as WIP) of Java objects serialized or will be deserialized by
ObjectOutputStream. This form of object representation is a standard data
interchange format in Java.

%{srcname} module exposes an API familiar to users of the standard
library marshal, pickle and json modules.

Features
    Java object instance unmarshaling
    Java class itself unmarshaling
    Primitive values unmarshaling
    Automatic conversion of Java Collections to python ones 
    (HashMap => dict, ArrayList => list, etc) 

See also the PyPi module at: https://pypi.python.org/pypi/%{srcname}

This project was forked somehow at GitHub. Fedora distributes those sources.
See the %{readme} file for details.

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{name} is a python library that provides functions for reading
(and writing as WIP) of Java objects serialized or will be deserialized by
ObjectOutputStream. This form of object representation is a standard data
interchange format in Java.

%{srcname} module exposes an API familiar to users of the standard
library marshal, pickle and json modules.

Features
    Java object instance unmarshaling
    Java class itself unmarshaling
    Primitive values unmarshaling
    Automatic conversion of Java Collections to python ones 
    (HashMap => dict, ArrayList => list, etc) 

See also the PyPi module at: https://pypi.python.org/pypi/%{srcname}

This project was forked somehow at GitHub. Fedora distributes those sources.
See the %{readme} file for details.


%prep
%setup -qn%{name}-%{commit}
# mock sth. for swing/awt
sed -i -e "s|'mvn'|'xvfb-run', 'xmvn', '-o'|" tests/tests.py

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
pushd tests
%{__python2} tests.py
%{__python3} tests.py
# remove temporary builds
rm -r java/target java/test*.ser
popd

 
%files -n python2-%{srcname}
%license LICENSE
%doc %{readme} tests/
%{python2_sitelib}/*

%files -n python3-%{srcname}
%license LICENSE
%doc %{readme} tests/
%{python3_sitelib}/*


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8.20150606git64a6e0f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Dec 15 2015 Raphael Groner <projects.rg@smart.ms> - 0-0.7.20150606git64a6e0f
- python3 support
- new upstream snapshot

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.20131228gitb8ae821
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jan 28 2015 Raphael Groner <projects.rg [AT] smart.ms> - 0-0.5.20131228gitb8ae821
- introduce license macro

* Tue Jan 06 2015 Raphael Groner <projects.rg [AT] smart.ms> - 0-0.4.20131228gitb8ae821
- BR python2

* Fri Dec 19 2014 Raphael Groner <projects.rg [AT] smart.ms> - 0-0.3.20142011svn31
- use date of last commit (instead of checkout/export)
- use GitHub (forked?)
- remove sed fiddling
- distribute tests folder as documentation samples

* Sat Nov 22 2014 Raphael Groner <projects.rg [AT] smart.ms> - 0-0.2.20142011svn31
- fix swing/awt test

* Thu Nov 20 2014 Raphael Groner <projects.rg [AT] smart.ms> - 0-0.1.20142011svn31
- initial
